<template>
  <div
    class="select-warp"
    :style="{ background }"
    :class="showWhite ? 'whiteBk' : ''"
  >
    <div
      class="select-item"
      v-for="(item, index) in options"
      :key="index"
      :style="{ width: 100 / options.length + '%' }"
      :class="selectedIndex == index ? 'active' : ''"
      @click="changeIndex(index)"
    >
      {{ item }}
    </div>
    <div
      class="active-item"
      :style="{
        width: 100 / options.length + '%',
        left: (100 / options.length) * selectedIndex + '%',
      }"
    ></div>
  </div>
</template>

<script>
export default {
  props: {
    selectedIndex: {
      type: Number,
      default: 0,
      required: true,
    },
    options: {
      type: Array,
      default: [],
      required: true,
    },
    background: {
      type: String,
      default: "#e9edf0",
    },
  },
  computed: {
    showWhite: function () {
      return this.options[this.selectedIndex] == "OFF";
    },
  },
  methods: {
    changeIndex(index) {
      this.$emit("changeIndex", index);
    },
  },
};
</script>
<style scoped lang="scss">
.select-warp {
  width: 100%;
  height: 100%;
  display: flex;
  border-radius: 33px;
  position: relative;
  .select-item {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 28px;
    font-weight: 400;
    color: #5c5e60;
    line-height: 33px;

    z-index: 10;
  }
  .active-item {
    height: 100%;
    left: 0;
    position: absolute;
    background: linear-gradient(270deg, #51b3e2 0%, #4aa1e8 80%, #479af2 100%);
    border-radius: 33px;
  }
  .active {
    color: #ffffff;
  }
}
.whiteBk {
  .active-item {
    background: #fffffe;
  }
  .active {
    color: #5c5e60;
  }
}
</style>
